﻿@model Actor

@{
    ViewData["Title"] = "Actor details";
}
<head>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
</head>

<div class="row text">
    <div class="col-md-8 offset-2">
        <p>
            <h1>Details for @Model.FullName</h1>
        </p>
        <div class="row">
            <div class="col-md-8 offset-2">
                <div class="form-group text-center">
                    <img class="border-info rounded-circle" style="max-width: 150px" id="ProfilePicturePreview" />
                </div>
                <div class="form-group">
                    <label asp-for="ProfilePictureURL" class="control-label"></label>
                    <input asp-for="ProfilePictureURL" class="form-control" readonly />
                    <span asp-validation-for="ProfilePictureURL" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="FullName" class="control-label"></label>
                    <input asp-for="FullName" class="form-control" readonly />
                    <span asp-validation-for="FullName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Biography" class="control-label"></label>
                    <input asp-for="Biography" class="form-control" readonly />
                    <span asp-validation-for="Biography" class="text-danger"></span>
                </div>

                <div class="form-group">
                    @if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                    {
                        <a class="btn btn-outline-success float-right" asp-action="Edit" asp-route-id="@Model.Id">Edit</a>
                    }
                    <a class="btn btn-outline-secondary" asp-action="Index">Show All</a>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script>
        $(document).ready(function () {
            var output = document.getElementById('ProfilePicturePreview');
            output.src = $("#ProfilePictureURL").val();
        })
    </script>
}